function bbsotrac,image,p1,p2
;##################################
;# BASED ON IDL ROUTINE PROFILE.PRO
;# by: Anders Johannesson
;##################################

;# IMAGE SIZE
s=size(image)
sx = s(1) & sy=s(2)

;# COORDINATES
x=p1(0)
y=p1(1)
x1=p2(0)
y1=p2(1)

;# DELTAX DELTAY
dx = float(x1-x)
dy = float(y1-y)
n = abs(dx) > abs(dy)

;# CHECK IF LINE IS ZERO LENGTH
if n eq 0 then begin
   return,image(0:1)
endif else begin
   r = fltarr(n+1)
   if abs(dx) gt abs(dy) then begin
      if x1 ge x then s=1 else s=-1
      sy = (y1-y)/abs(dx)
   endif else begin
      if y1 ge y then sy=1 else sy=-1
      s = (x1-x)/abs(dy)
   endelse
   xx = indgen(n+1l)*s+x		;X values, make into longwords.
   yy = indgen(n+1l)*sy+y		;Y values
   return,image(long(yy)*sx + xx)
endelse

end
